Subject: Looking for Rabbit Ear Iris

From: [email-masked] (Jose Salcedo)
Date: 31 Mar 1995 09:30:29 -0800

Does anyone have a source for rabbit ear irises (Iris laevigata)? This type
of iris is used extensively in japanese gardens (in Japan) along ponds. I've
been able to find the Japanese iris (Iris ensata (?)), but not the rabbit
ear iris. Any help would be greatly appreciated.

Thanks, 

Jose

P.S. By the way, does anyone know where I can get club moss?